function CSVData = read_csv(base_path, groundtruth_filename)
%READ_CSV 
%   This function reads CSV groudntruth data from the sequence folder
%    BASE_NAME and stores it in the struct CSVData. 
%
%   Parameters:
%     BASE_PATH is path to the sequence folder.
%     GROUNDTRUTH_FILENAME is the groundtruth filename to read
%
%   Outputs:
%     CSVData Struct with csv file data.
%
% Copyright (c) MVTec Software GmbH.  All rights reserved.
%
% All use of this software is subject to the terms of the revised BSD
% license.  You should have received a copy of this license along
% with this source code in a file named "license.txt."

if (nargin < 2)
    groundtruth_filename = 'groundtruth_baseline.csv';
end

filename = fullfile(base_path,groundtruth_filename);
[CSVData] = import_csv_file(filename);

end