% Copyright (c) MVTec Software GmbH.  All rights reserved.
%
% All use of this software is subject to the terms of the revised BSD
% license.  You should have received a copy of this license along
% with this source code in a file named "license.txt."
 
%% To add the results of an arbitrary tracker to the results .csv file two
% helper routines have been provided. The scripts support all vot compliant
% trackers and box formats

%% Setup
% Set the name of the groundtruth baseline file (.csv). If it does not
% exist, it is created. Otherwise the new tracker is appended
input_file = 'tracker_boxes.csv';

%% First step - Run tracker
% e.g. MyTrackerName
results = MyTrackerName(sequence_path);

%% Second step - Write the results to csv
% If required, convert them to box_param -> [row,col,width,height,phi]
tracker_box_param = convert_region2box_param(results);

% It is possible to set an outputfile with a different name, then a
% new file is generated. Otherwise the input_file is replaced.
output_file =  'tracker_boxes_new.csv';

% Write the output to csv
add_col_csv(tracker_box_param,'tracker_MyTrackerName',...
            sequence_path,input_file,output_file);